/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { mount } from 'enzyme';
import { Unstable_StatefulCalendar as StatefulCalendar, Unstable_Calendar as Calendar } from '../index.js';
describe('StatefulDatepicker', function () {
  test('basic render', function () {
    var props = {
      initialState: {
        highlightedDate: new Date()
      },
      onSelect: jest.fn(),
      stateReducer: jest.fn()
    };
    var component = mount(React.createElement(StatefulCalendar, props));
    var renderedCalendar = component.find(Calendar);
    expect(renderedCalendar).toExist();
  });
});